require 'spec_helper'

describe G5ClientNotificationsUrl do
  describe '.build' do
    let(:client_uid) { 'http://g5-hub.herokuapp.com/clients/g5-c-6d4gqkl-demo' }
    let(:expected_url) { 'https://g5-dsh-6d4gqkl-demo.herokuapp.com/notifications' }

    subject(:build) { described_class.build(client_uid) }

    specify { expect(build).to eq(expected_url) }

    context 'no passed client_uid' do
      let(:client_uid) { nil }

      specify { expect(build).to eq('') }
    end

    context 'a blank client uid' do
      let(:client_uid) { '' }

      specify { expect(build).to eq('') }
    end
  end
end
